Retrieves a single existing bill by ID, in the bill descriptor format bill processing rule scripts operate on
Use this endpoint to see a bill exactly as a bill processing rule script sees it (the
bill global) before
writing or running a script in the Workbench Bill Processing Rules Builder with POST
workbench/script/bill/{billId}. The bill is rebuilt from the saved bill, so fields that only exist on imported
bill files (such as delivery date, mailing date, and account identifiers) are empty. For the bill as displayed in
the application, use GET billView/{billId}.
Restricted to ENC staff.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| billId | Unique numeric identifier of the existing bill | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
BillDescriptorJson
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| confidence | BillDescriptorJson+BillDescriptorConfidence | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillDescriptorJson+BillDescriptorConfidence properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| controlCode | The name of the input file, without file extension, for linking results to document source for extraction | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| header | BillDescriptorJson+BillDescriptorHeaderJson | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillDescriptorJson+BillDescriptorHeaderJson properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| meters | Meters represented on the bill, including line items associated with each meter | BillDescriptorJson+BillDescriptorMeterJson[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillDescriptorJson+BillDescriptorMeterJson properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| processingErrors | List of any problems that prevented extraction of bill data | BillDescriptorJson+BillDescriptorProcessingError[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillDescriptorJson+BillDescriptorProcessingError properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "confidence": { "confidenceScore": 1.0, "lowConfidenceReason": "string"
}, "controlCode": "string", "header": { "accountIdentifiers": [
{ "label": "string", "value": "string"
}
], "accountLevelCharges": [
{ "caption": "string", "cost": 1.0, "observationType": "string"
}
], "accountNumber": "string", "billEnd": "2026-10-07", "billStart": "2026-10-07", "currencyCode": "string", "currentCharges": 1.0, "customerAddress": "string", "daysOfService": 1, "deliveryDate": "2026-10-07", "deposit": 1.0, "dueDate": "2026-10-07", "estimated": false, "invoiceDate": "2026-10-07", "invoiceNumber": "string", "lateFee": 1.0, "mailingDate": "2026-10-07", "paymentReceived": 1.0, "priorBalance": 1.0, "rateSchedule": [
{ "label": "string", "value": "string"
}
], "refund": 1.0, "remitAddress": "string", "servicePeriodMonth": "string", "sourceLanguage": "string", "totalCost": 1.0, "vendorAddress": "string", "vendorEmail": "string", "vendorName": "string", "vendorPhoneNumber": "string", "vendorRole": "string", "vendorWebsite": "string"
}, "meters": [
{ "commodity": "string", "identifiers": [
{ "label": "string", "value": "string"
}
], "lines": [
{ "caption": "string", "cost": 1.0, "lineGroupHeader": "string", "observationType": "string", "summaryLine": "string", "unit": "string", "unitRate": 1.0, "value": 1.0
}
], "meterAddress": "string", "rateSchedule": [
{ "label": "string", "value": "string"
}
], "serialNumber": "string"
}
], "processingErrors": [
{ "errorMessage": "string", "errorReason": "string"
}
]
}
404
Not Found
The requested resource was not found. Verify the ID or path is correct.